Delete all entities of a blueprint
DELETE/v1/blueprints/:blueprint_identifier/all-entities
This route allows you to delete all entities of a specific blueprint in your software catalog.
To learn more about entities, check out the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "string"
},
"in": "query",
"name": "run_id",
"required": false,
"description": "You can provide a `run_id` to associate the deleted entities with a specific [action run](https://docs.port.io/workflows/actions-and-automations/reflect-action-progress/#tying-entities-to-an-action-run)."
},
{
"schema": {
"type": "string"
},
"in": "query",
"name": "ocean_info_resync_id",
"required": false,
"description": "Resync run identifier. Only valid when `ocean_info_event_type` is `resync`."
},
{
"schema": {
"type": "string"
},
"in": "query",
"name": "ocean_info_event_type",
"required": false,
"description": "How the operation was triggered."
},
{
"schema": {
"type": "boolean"
},
"in": "query",
"name": "delete_blueprint",
"required": false,
"description": "If `true`, this call will also delete the blueprint itself."
},
{
"schema": {
"type": "string",
"minLength": 1
},
"in": "path",
"name": "blueprint_identifier",
"required": true,
"description": "The identifier of the blueprint to operate on."
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 200
- 401
- 404
- 413
- 422
Entities deleted successfully
Default Response
A resource with the provided identifier was not found
Request body is too large (limit is 1MiB)
The json provided does not match the route's schema
Responses (JSON)
{
"responses": {
"200": {
"description": "Entities deleted successfully",
"content": {
"application/json": {
"schema": {
"description": "Entities deleted successfully",
"properties": {
"ok": {
"enum": [
true
]
}
},
"required": [
"ok"
],
"additionalProperties": false
}
}
}
},
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "A resource with the provided identifier was not found",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "A resource with the provided identifier was not found"
}
}
}
},
"413": {
"description": "Request body is too large (limit is 1MiB)",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"description": "Request body is too large (limit is 1MiB)"
}
}
}
},
"422": {
"description": "The json provided does not match the route's schema",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "The json provided does not match the route's schema"
}
}
}
}
}
}